window.onload=function(){
  key_up=false
  key_right=false
  key_down=false
  key_left=false
  key_shift=false
  key_control=false
  
  key_order=new Array()
  for (var i=0;i<4;i++) {
    key_order[i]=0
  }
  
  direction=0
    
  document.onkeydown=keydown
  document.onkeyup=keyup
  
  START__movement_detection_system()
  
  scr=new screen()
  scr.name="The Sun"
  scr.description="The great star"
  scr.background="maps/sun.png"
  scr.bbackground="#000"
  scr.width=640
  scr.height=400
  scr.viswidth=scr.width
  scr.visheight=scr.height
  scr.create()
  //remove(scr)
  
  cha=new character()
  cha.name="Wiz the Wizard"
  cha.description="A poorly drawn wizard, fighting against all evil."
  cha.src="char/simplearrows.png"
  cha.width=48
  cha.height=64
  cha.dir([0,0,1,1,2,2,2,2,3,3,3,3])
  cha.dir([1,1,1,1,2,2,2,2,3,3,3,3])
  cha.dir([2,2,1,1,2,2,2,2,3,3,3,3])
  cha.dir([3,3,1,1,2,2,2,2,3,3,3,3])
  cha.dir([4,4,1,1,2,2,2,2,3,3,3,3])
  cha.dir([5,5,1,1,2,2,2,2,3,3,3,3])
  cha.dir([6,6,1,1,2,2,2,2,3,3,3,3])
  cha.dir([7,7,1,1,2,2,2,2,3,3,3,3])
  cha.create()
  scr.add(cha)
  //take_life(cha)
  //remove(cha)
}